.drawer {
  --drawer-width: 100%;
  position: fixed;
  z-index: 12;
  top: 0rem;
  left: 0rem;
  right: 0rem;
  bottom: 0rem;
  display: flex;
  justify-content: flex-end;
  width: 100%;
  height: 100vh;
  visibility: hidden;
  pointer-events: none;
  transition: all 0.5s cubic-bezier(0.7, 0, 0.2, 1);
}

.drawer:is([class*="color-scheme-"]) {
  background: transparent;
}

.drawer.is-visible {
  visibility: visible;
  pointer-events: all;
}

.drawer:is(.drawer-is-btm) {
  align-items: flex-end;
}

.drawer:is(.drawer-is-btm) .drawer-base {
  justify-content: flex-end;
  height: 75%;
}

.drawer:is(.age-verification-section:not(.drawer-is-top, .drawer-is-btm))
  .drawer-base {
  transform: scale(0.8);
  transition: transform 0.6s cubic-bezier(0.7, 0, 0.2, 1);
  opacity: 0;
}

.drawer.age-verification-section:is(.is-visible) .drawer-base {
  transform: scale(1) !important;
  opacity: 1;
}

.drawer .overlay {
  position: fixed;
  top: 0rem;
  right: 0rem;
  bottom: 0rem;
  left: 0rem;
  background: rgba(
    var(--background-color-overlay),
    var(--overlay-color-opacity)
  );
  min-height: 100vh;
  -webkit-backdrop-filter: blur(0.8rem);
  backdrop-filter: blur(0.9rem);
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  transition: all 0.5s ease-in-out;
  transition-property: opacity, background, visibility;
}

.drawer .drawer:not(.is-visible) .overlay {
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.drawer:is(.is-visible) .overlay {
  visibility: visible;
  pointer-events: auto;
  opacity: 1;
}

.drawer.age-verification-section,
.drawer:is(.drawer-is-top, .drawer-is-btm) :is(.sidebar__form, .drawer-base) {
  --drawer-width: 100%;
}

.drawer .sidebar__form {
  width: 100%;
  max-width: var(--drawer-width);
}

.drawer .drawer-base {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  max-width: var(--drawer-width);
  pointer-events: auto;
  position: relative;
  background: rgb(var(--background-color));
  color: rgb(var(--text-color));
  transition: all 0.4s cubic-bezier(0.7, 0, 0.2, 1);
}

.modal-dialog-head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 1rem 1.438rem;
}

.drawer-heading {
  margin: 0rem;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  flex-wrap: wrap;
}

.modal-dialog-head .section-title {
  margin-bottom: 0rem;
}

.drawer-results {
  font-size: var(--text-small);
  vertical-align: middle;
}

.modal-dialog-body {
  display: block;
}

.modal-dialog-form {
  display: block;
  overflow-y: auto;
  padding: 1rem 1.438rem;
  scrollbar-gutter: stable;
}

.modal-dialog-foot {
  display: block;
  padding: 1rem 1.438rem 1rem;
  margin-top: auto;
}

.facets-drawer-results {
  font-size: var(--text-small);
  font-weight: normal;
  vertical-align: middle;
}

.drawer-close {
  margin-left: auto;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  border-radius: 50%;
  gap: 0.2rem;
}

.drawer-close::before {
  content: "";
  width: 100%;
  height: 100%;
  border: 0.05rem solid rgb(var(--text-color));
  position: absolute;
  border-radius: 50%;
  transform: scale(0);
  transition: all 0.5s cubic-bezier(0.3, 1, 0.3, 1);
  opacity: 0;
}

.drawer-close:hover:before {
  transform: scale(1);
  opacity: 1;
}

.drawer-close span {
  font-size: var(--text-small);
  display: inline-block;
  text-decoration: underline;
  margin-right: 0.9rem;
}

.drawer-close close-btn {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0.7rem;
  width: 2rem;
  height: 2rem;
  min-width: 2rem;
  vertical-align: middle;
  transition: all 0.5s cubic-bezier(0.7, 0, 0.3, 1);
  z-index: 1;
}

.drawer-close close-btn:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(var(--foreground-color));
  border-radius: 50%;
  transform: scale(1);
  transition: all 0.3s cubic-bezier(0.7, 0, 0.3, 1);
  z-index: -1;
  cursor: pointer;
}

.drawer-close:hover close-btn:before {
  transform: scale(0);
  transition: all 0.6s cubic-bezier(0.7, 0, 0.3, 1);
  cursor: pointer;
}

.drawer-close close-btn svg {
  width: 100%;
  height: 100%;
  stroke-width: 1.7;
}
.disclosure-accordion-content {
  margin-bottom: 1.3rem;
}

.toggle-switch {
  display: grid;
  align-self: center;
  width: 2.313rem;
  height: 1.3rem;
  padding: 0.19rem;
  align-items: center;
  -webkit-appearance: none;
  appearance: none;
  border-radius: 10rem;
  background: rgb(var(--text-color), 0.15);
  transition: background 0.2s ease-in-out;
}

.toggle-switch:after {
  content: "";
  width: 0.9rem;
  height: 0.9rem;
  background: rgb(var(--background-color));
  border-radius: 10rem;
  transition: transform 0.2s ease-in-out;
  box-shadow: 0 0.06rem 0.06rem #0003;
}

.toggle-switch:checked {
  background: rgb(var(--text-color));
}

.toggle-switch:checked:after {
  transform: translateX(calc(100% + 0.19rem));
}

.facets-category-list {
  display: flex;
  flex-wrap: wrap;
  grid-gap: 0.625rem;
}

.factes-color-swatch {
  display: flex;
  grid-gap: 0.625rem;
  flex: 0 0 100%;
  max-width: calc(100% / 3 - 0.625rem);
  margin-bottom: 0.5rem;
}

/* Modal Popups */

.modal-wrapper {
  --modal-width: 52.625rem;
  align-items: flex-end;
  justify-content: flex-end;
  padding: 1.6rem;
  position: fixed;
  z-index: 30;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  visibility: hidden;
  pointer-events: none;
  transition: all 0.5s cubic-bezier(0.7, 0, 0.2, 1);
  background: transparent;
}

.modal-wrapper:is(.is-visible) {
  visibility: visible;
  pointer-events: all;
}

.modal-overlay {
  position: fixed;
  transition: 0.8s cubic-bezier(0.7, 0, 0.2, 1);
  transition-property: opacity, visibility, background-color;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-backdrop-filter: blur(0.8rem);
  backdrop-filter: blur(0.9rem);
  pointer-events: none;
  background-color: rgba(
    var(--background-color-overlay),
    var(--overlay-color-opacity)
  );
  opacity: 0;
  visibility: hidden;
}

.modal-wrapper:is(.is-visible) > .modal-overlay {
  visibility: visible;
  pointer-events: auto;
  opacity: 1;
}

.modal-content {
  position: static;
  height: auto;
  --translate-x: 100%;
  max-width: var(--modal-width, 46rem);
  z-index: 10;
  width: 100%;
  height: auto;
  overflow: hidden;
  background-color: rgb(var(--background-color));
  color: rgb(var(--text-color));
  transition: transform 0.6s cubic-bezier(0.7, 0, 0.2, 1);
  transform: translate(var(--translate-x), var(--translate-y));
  max-height: calc(100% - 4rem);
  transition-property: transform, opacity;
  transform: scale(0.8);
  opacity: 0;
  clip-path: polygon(
    0 0,
    100% 0,
    100% 14%,
    100% 95%,
    95% 100%,
    0 100%,
    0% 100%,
    0% 20%
  );
}

.modal-wrapper:is(.is-visible) > .modal-content {
  opacity: 1;
  transform: scale(1);
}

.modal-close-btn {
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  padding: 0;
  border: 0;
  background: none;
  color: rgb(var(--text-color));
}

.subscription-popup .subscription-popup-block {
  padding: 2rem;
  flex: 0 0 100%;
  max-width: 100%;
  color: rgb(var(--text-color));
}

.subscription-popup-block > *:not(:last-child) {
  margin-bottom: 1.2rem;
}

.subscription_pop_in > *:not(:last-child) {
  margin-bottom: 1.2rem;
}

.subscription-modal-image {
  flex: 0 0 100%;
  max-width: 100%;
  overflow: hidden;
}

.subscription-modal-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all .3s ease-in-out;
    aspect-ratio: 100/70;
}

.subscription-modal--card:hover .subscription-modal-image img {
  transform: scale(1.1);
}

.subscription-popup-title h3 {
  margin: 0;
}

.subscription-popup-block .subscription-popup--text p {
  margin: 0;
}

.socials {
  column-gap: 1rem;
}

.social-link {
  position: relative;
}

.social-link svg {
  transition: all 0.5s cubic-bezier(0.3, 1, 0.3, 1);
  width: 1.5rem;
  height: 1.5rem;
}

.drawer .customer_wrapper {
  max-width: 100%;
  padding: 0;
}

.drawer .customer-head {
  margin-bottom: 2rem;
  text-align: left;
}

.drawer div[data-product-info] {
    width: 100%;
    display: inline-flex;
    align-items: flex-end;
    justify-content: flex-end;
}
/* .subscription-popup-title h4 {
    max-height: 4rem;
    overflow: auto;
    padding-bottom: 6px;
} */
 .subscription_pop_in span.pop_sub_head {
    margin-bottom: 1rem;
    display: inline-block;
}


@media screen and (min-width: 576px) {
  .subscription-modal-image {
    max-width: 50%;
  }
  .subscription-popup .subscription-popup-block {
      padding: 3rem;
      flex: 1;
      max-height: 30rem;
      overflow: auto;
      justify-content: flex-start;
  }
  .subscription_pop_in {
      margin-top: auto;
      margin-bottom: auto;
  }
}

@media screen and (min-width: 992px) {
  .drawer {
    --drawer-width: 47.438rem;
  }
  .drawer:not(.drawer-is-top, .drawer-is-btm) .drawer-base {
    --translateX: 100%;
    transform: translate(var(--translateX));
  }
  .drawer:not(.drawer-is-top, .drawer-is-btm).is-visible .drawer-base {
    --translateX: 0;
  }
  .drawer:is(.drawer-is-top) {
    --translateY: -100%;
  }
  .drawer:is(.drawer-is-btm) {
    --translateY: 100%;
  }
  .drawer:is(.drawer-is-top, .drawer-is-btm) .drawer-base {
    min-height: 20%;
    max-height: 80%;
    height: fit-content;
    transform: translateY(var(--translateY));
    padding-bottom: 20px;
  }
  .drawer:is(.drawer-is-top, .drawer-is-btm).is-visible .drawer-base {
    --translateY: 0;
  }
  .modal-dialog-head {
    padding: 2.5rem 3.438rem 0.5rem;
  }
  .modal-dialog-form {
    padding: 1rem 3.438rem 0.5rem;
  }
  .drawer-account .modal-dialog-form {
    padding-top: 0;
  }
  .modal-dialog-foot {
    padding: 1rem 3.438rem 2rem;
  }
  .drawer-add-to-cart .modal-dialog-foot {
    padding: 1rem 3.438rem 1rem;
}
  .subscription-popup-block .subscription-popup-title {
    margin-bottom: 1.5rem;
  }
}

@media screen and (max-width: 991px) {
  .drawer {
    height: 100%;
    align-items: flex-end;
  }
  .drawer .drawer-base {
    height: 90%;
    --translateY: 100%;
    transform: translateY(var(--translateY));
  }
  .drawer.is-visible .drawer-base {
    --translateY: 0;
  }
  .drawer .sidebar__form {
    display: flex;
    align-items: flex-end;
    height: 100%;
  }
  .modal-dialog-head {
    box-shadow: 0rem 0 0.2rem rgb(var(--text-color), 0.1);
  }
  .removeAll {
    font-size: var(--text-small);
    margin-right: 0.3rem;
  }
  .drawer-add-to-cart .modal-dialog-foot {
    padding: 1rem 1.438rem 1rem;
}
}

@media screen and (max-width: 575px) {
  .modal-content {
    height: 100%;
  }
  .modal-body {
    max-height: 100%;
    overflow-y: auto;
    height: 100%;
  }
}
